#ifndef MARS_MGeomCamMagicXT
#define MARS_MGeomCamMagicXT

#ifndef MARS_MGeomCam
#include "MGeomCam.h"
#endif

class MGeomCamMagicXT : public MGeomCam
{
private:
    void CreateCam();
    void CreateNN();

public:
    MGeomCamMagicXT(const char *name=NULL);

    ClassDef(MGeomCamMagicXT, 1) // Geometry class for the 'extended' Magic camera
};

#endif

